### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xmpmc_stats.c File Reference

## Detailed Description

The implementation of the XMpmc component's functionality that is related to statistics. See xmpmc.h for more information about the component.

Note:
  None.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a mta  02/24/07 First release

## Functions

void | XMpmc_GetStatsEcc (XMpmc *InstancePtr, XMpmc_Stats *StatsPtr)
void | XMpmc_ClearStatsEcc (XMpmc *InstancePtr)

## Function Documentation

void XMpmc_ClearStatsEcc | ( | XMpmc * | InstancePtr | ) |

Clear the statistics of the MPMC device including the Single Error Count, Double Error Count, and Parity Field Error Count. The counts are all contained in registers of the MPMC device.

Parameters:

  | InstancePtr | is a pointer to an XMpmc instance to be worked on.

Returns:
  None.

Note:
  None.

void XMpmc_GetStatsEcc | ( | XMpmc * | InstancePtr,
|  | XMpmc_Stats * | StatsPtr
| ) |

Get the statistics of the MPMC device including the Single Error Count, Double Error Count, Parity Field Error Count and the address where the last error was detected in the memory. The counts are all contained in registers of the MPMC device.

Parameters:

  | InstancePtr | is a pointer to an XMpmc instance to be worked on.
  | StatsPtr | contains a pointer to a XMpmc_Stats data type. The function puts the statistics of the device into the specified data structure.

Returns:
  The statistics data type pointed to by input StatsPtr is modified.

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.